Name:           perl-NetPacket-SpanningTree
Version:        0.01
Release:        12%{?dist}
Summary:        Assemble and disassemble IEEE 802.1D Spanning Tree protocol packets
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetPacket-SpanningTree/
Source0:        http://www.cpan.org/authors/id/C/CG/CGANESAN/NetPacket-SpanningTree-%{version}.tar.gz
# email from author with permissions to relicense sources under Artistic or GPL
Source1:        %{name}.email
# Compatibility with perl 5.18, CPAN RT#87085
Patch0:         NetPacket-SpanningTree-0.01-qw-does-not-imply-parentheses-anymore.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(NetPacket::Ethernet) >= 0.04
BuildRequires:  perl(NetPacket::LLC) >= 0.01
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
NetPacket::SpanningTree provides a set of routines for assembling and
disassembling packets using the IEEE standard Spanning Tree Protocol.
Spanning Tree is a layer 2 protocol defined by the IEEE 802.1D
specification.

%prep
%setup -q -n NetPacket-SpanningTree-%{version}
%patch0 -p1
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README %{name}.email
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.01-12
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 0.01-9
- Perl 5.18 rebuild
- Compatibility with perl 5.18 (CPAN RT#87085)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 0.01-6
- Perl 5.16 rebuild

* Mon Apr 09 2012 Jan Klepek <jan.klepek at gmail.com> - 0.01-5
- rebuilt

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.01-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 23 2011 Jan Klepek <jan.klepek at, gmail.com> - 0.01-3
- fixed license

* Tue Jan 11 2011 Jan Klepek <jan.klepek at, gmail.com> - 0.01-2
- fixed license

* Mon Mar 15 2010 Jan Klepek 0.01-1
- Specfile autogenerated by cpanspec 1.78.
